I still can't open pamac (pamac-all)

Hello,
I haven't been able to open pamac for several weeks now. I did not try any workaround and waited for it to be fixed, but apparently it was fixed a few days ago. When I saw this I ran the update command with pacman and all went well. But I still cannot open pamac, tried rebooting and nothing works.

// Im not allowed to upload images but this is my terminal output right now.

twireonenix in ~ λ _ pacman -Syu
:: Synchronising package databases...
 core is up to date
 extra is up to date
 community is up to date
 chaotic-aur is up to date
:: Starting full system upgrade...
 there is nothing to do
twireonenix in ~ λ _ pacman -R libalpm12                  
error: target not found: libalpm12
twireonenix in ~ λ pamac                                        
pamac: error while loading shared libraries: libalpm.so.12: cannot open shared object file: No such file or directory
twireonenix in ~ λ date
Wed 16 Jun 11:27:12 CDT 2021

What I am doing wrong?

1 Like

IT WORKED!!! :joy:

Something on your system is either out-of-date or has been held back. See below.

3 Likes

That's a good thing, sending a picture of something that can't be seen is pointless...

and
:slight_smile:

Read

please
and post always terminal outputs like

inxi -Fza

as text!

Even if you personally think it is unnecessary.

2 Likes
  1. In /etc/pacman.conf, uncomment these two lines:
[multilib]
Include = /etc/pacman.d/mirrorlist
  1. Try updating with upd:
upd
4 Likes

3 People typing go go :smiley:

pacman -Qs pamac-aur 

? :eyes:

4 Likes

My head hurts, will the pain never end. :exploding_head:

7 Likes
twireonenix in ~ λ pacman -Qs pamac-aur 
local/archlinux-appstream-data-pamac 20210612-1
    Arch Linux application database for AppStream-based software centers (Fixed
    for pamac-aur and pamac-all packages)
local/pamac-all 10.1.1-1
    A Gtk3 frontend for libalpm (everything in one package - snap, flatpak,
    appindicator)

Welp, you installed pamac-all which is not in our repo. If you decide to install from AUR make sure to keep it updated yourself.

5 Likes

This updated some other libs but did not fix the problem.

Ok, can I revert to your repo somehow?

From the recent announcement:

4 Likes

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.